function [f]=modelCamp2(t,s,diss_rates,kcat,Karac,Kca,...
    Kpca,synt_rates,p_basal,degr_rates,n,arabinose,crp,CAMPi,eta)

%index for the matrix

    arac=1;
    ca=2;
    camp=3;
%Here we have the amplification of camp which depends on the evolution of ca    
    CAMP=kcat*s(ca)/degr_rates(camp)+eta*CAMPi/degr_rates(camp);
 
%Here we have the evolution of crpcamp which is the transcription factor of
%arac, ca and gfp
    crpcamp=((diss_rates(camp) + CAMP + crp)...
            - sqrt((diss_rates(camp) + CAMP + crp)^2 -4 * CAMP * crp))/2;

%Here we write de derivative of arac    
    darac=synt_rates(arac)*crpcamp^n/(Karac^n+crpcamp^n)...
        -degr_rates(arac)*s(arac)+p_basal(arac);

%Here we have the evolution of arac active (when it complexes with arabinose)    
    aracet=s(arac)/(1+diss_rates(arac)/arabinose);%active Arac
 
%Here we write the derivative of ca    
    dca=synt_rates(ca)*crpcamp^n*aracet^n/(Kca^n*Kpca^n+crpcamp^n*aracet^n...
        +Kpca^n*aracet^n...
        +Kca^n*crpcamp^n)-degr_rates(ca)*s(ca)+p_basal(ca);

    
    f=[darac;dca];
end